asn1_expand_octet_string(3)

NAME
asn1_expand_octet_string - Expand "OCTET STRING" fields in structure.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_expand_octet_string(ASN1_TYPE definitions, ASN1_TYPE * element, const char * octetName, const char * objectName);

ARGUMENTS

ASN1_TYPE definitions
    ASN1 definitions

ASN1_TYPE * element
    pointer to an ASN1 structure

const char * octetName
    name of the OCTECT STRING field to expand.

const char * objectName
    name of the OBJECT IDENTIFIER field to use to define the type for expansion.

DESCRIPTION
Expands an "OCTET STRING" element of a structure created from a DER decoding process (asn1_der_decoding function). The type used for expansion is the first one following the definition of the actual value of the OBJECT IDENTIFIER indicated by OBJECTNAME.

RETURNS

ASN1_SUCCESS
Substitution OK.

ASN1_ELEMENT_NOT_FOUND
OBJECTNAME or OCTETNAME are not correct.

ASN1_VALUE_NOT_VALID
Wasn't possible to find the type to use for expansion. other errors: result of der decoding process.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.